package com.gic.plug.web.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.plug.web.vo.StoreRegionVO;
import com.gic.plug.web.vo.StoreVO;
import com.gic.store.dto.StoreDTO;
import com.gic.store.dto.StoreRegionDTO;
import com.gic.store.service.StoreApiService;
import com.gic.store.service.StoreRegionApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/12
 */
@RestController
public class StoreController {

    @Autowired
    private StoreRegionApiService storeRegionApiService;

    @Autowired
    private StoreApiService storeApiService;

    @RequestMapping("/list-store-region")
    public RestResponse listStoreRegion(String search) {
        Integer enterpriseId = 1111;
        ServiceResponse<List<StoreRegionDTO>> serviceResponse = storeRegionApiService.listStoreRegion(enterpriseId, search);
        if (serviceResponse.isSuccess()) {
            List<StoreRegionDTO> result = serviceResponse.getResult();
            return RestResponse.success(EntityUtil.changeEntityListByOrika(StoreRegionVO.class, result));
        } else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

    @RequestMapping("/list-part-store")
    public RestResponse listPartStore(Integer storeGroupId, String search) {
        Integer enterpriseId = 1111;
        ServiceResponse<List<StoreDTO>> serviceResponse = storeApiService.listPartStore(enterpriseId, storeGroupId, search);
        if (serviceResponse.isSuccess()) {
            List<StoreDTO> result = serviceResponse.getResult();
            return RestResponse.success(EntityUtil.changeEntityListByOrika(StoreVO.class, result));
        } else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

}
