package com.gic.plug.web.controller.goods;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.contants.SortType;
import com.gic.commons.util.PageHelperUtils;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.goods.api.dto.BrandDTO;
import com.gic.goods.api.service.BrandApiService;
import com.gic.plug.web.vo.goods.GoodsBrandVO;

@RestController
public class GoodsBrandController {

    @Autowired
    private BrandApiService brandApiService;

    @RequestMapping("/goods-brand-list")
    public RestResponse goodsBrandList(int pageSize, int currentPage, String search, Long goodsDomainId) {
        ServiceResponse<Page<BrandDTO>> serviceResponse = brandApiService.findBrandPage(currentPage, pageSize, goodsDomainId, search, SortType.sortDescType);
        if (!serviceResponse.isSuccess()) {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
        Page<GoodsBrandVO> page = PageHelperUtils.changePageToCurrentPage(serviceResponse.getResult(), GoodsBrandVO.class);
        //TODO 品牌id的拼写错误
        for (int i = 0; i < page.getResult().size(); i++) {
            GoodsBrandVO goodsBrandVO = page.getResult().get(i);
            goodsBrandVO.setSpecBrandId(serviceResponse.getResult().getResult().get(i).getSepcBrandId());
        }
        return RestResponse.success(page);
    }

}
