package com.gic.plug.web.controller.goods;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.goods.api.dto.CategoryDTO;
import com.gic.plug.web.vo.goods.CategoryVO;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.goods.api.service.CategoryApiService;

import java.util.List;

@RestController
public class GoodsCategoryController {

    @Autowired
    private CategoryApiService categoryApiSerivce;

    /**
     * @Description: 查询所有（一级类目）
     * @author xub
     */
    @GetMapping("list-parent-category")
    public RestResponse listParentCord(Long goodsDomainId) {
        ServiceResponse<List<CategoryDTO>> serviceResponse = categoryApiSerivce.listParentAll(goodsDomainId);
        List<CategoryDTO> result = serviceResponse.getResult();
        if (CollectionUtils.isEmpty(result)) {
            return RestResponse.success();
        }
        List<CategoryVO> list = EntityUtil.changeEntityListByOrika(CategoryVO.class, result);
        return RestResponse.success(list);
    }

    /**
     * @Description: 查询所有（二级类目）
     * @author xub
     */
    @GetMapping("list-child-category")
    public RestResponse listChildAll(Long specParentId) {
        ServiceResponse<List<CategoryDTO>> serviceResponse = categoryApiSerivce.listChildAll(specParentId);
        List<CategoryDTO> result = serviceResponse.getResult();
        if (CollectionUtils.isEmpty(result)) {
            return RestResponse.success();
        }
        List<CategoryVO> list = EntityUtil.changeEntityListByOrika(CategoryVO.class, result);
        return RestResponse.success(list);
    }

}
