package com.gic.plug.web.controller.goods;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.goods.api.dto.GoodsCordDTO;
import com.gic.goods.api.service.CordApiService;
import com.gic.plug.web.vo.goods.GoodsCordVO;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
  * @ClassName: GoodsTagController
  * @Description: 商品标签相关接口
  * @author xub
  * @date 2019/8/29 上午10:03
  */
@RestController
public class GoodsCordController {

    @Autowired
    private CordApiService cordApiService;

    /**
     * @Description: 查询所有（一级分组）
     * @author xub
     */
    @GetMapping("list-parent-cord")
    public RestResponse listParentCord(Long goodsDomainId) {
        ServiceResponse<List<GoodsCordDTO>> serviceResponse = cordApiService.listParentAll(goodsDomainId);
        List<GoodsCordDTO> result = serviceResponse.getResult();
        if (CollectionUtils.isEmpty(result)) {
            return RestResponse.success();
        }
        List<GoodsCordVO> list = EntityUtil.changeEntityListByOrika(GoodsCordVO.class, result);
        return RestResponse.success(list);
    }

    /**
     * @Description: 查询所有（二级分组）
     * @author xub
     */
    @GetMapping("list-child-cord")
    public RestResponse listChildAll(Long specParentId) {
        ServiceResponse<List<GoodsCordDTO>> serviceResponse = cordApiService.listChildAll(specParentId);
        List<GoodsCordDTO> result = serviceResponse.getResult();
        if (CollectionUtils.isEmpty(result)) {
            return RestResponse.success();
        }
        List<GoodsCordVO> list = EntityUtil.changeEntityListByOrika(GoodsCordVO.class, result);
        return RestResponse.success(list);
    }
}
