package com.gic.plug.web.controller.goods;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.goods.api.dto.ErrorCode;
import com.gic.goods.api.dto.GoodsTagDTO;
import com.gic.goods.api.service.TagApiService;
import com.gic.plug.web.vo.goods.GoodsTagVO;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
  * @ClassName: GoodsTagController
  * @Description: 商品标签相关接口
  * @author xub
  * @date 2019/8/29 上午10:03
  */
@RestController
public class GoodsTagController {

    @Autowired
    private TagApiService tagApiService;

    /**
     * @Description: 查询所有（不分页）
     * @author xub
     */
    @GetMapping("list-tag")
    public RestResponse findList(Long goodsDomainId) {
        if (goodsDomainId == null) {
            return RestResponse.failure(ErrorCode.UNKNOW_ERROR.getCode(), "参数不全");
        }
        ServiceResponse<List<GoodsTagDTO>> serviceResponse = tagApiService.listAll(goodsDomainId);
        List<GoodsTagDTO> result = serviceResponse.getResult();
        if (CollectionUtils.isEmpty(result)) {
            return RestResponse.success();
        }
        List<GoodsTagVO> list = EntityUtil.changeEntityListByOrika(GoodsTagVO.class, result);
        return RestResponse.success(list);
    }
}
